Updated plugin doesn't propagate correctly

Greetings Earthlings,

I just updated the ANTLR plug-in to version 1.8; naturally I have updated my plugin.xml

 
<idea-plugin version="2">
  <id>org.antlr.intellij.plugin</id>
  <name>ANTLR v4 grammar plugin</name>
  <version>1.8</version>

And I uploaded it to the repository as I've done many times before. You can see that the plug-in repository shows 1.8 in the screen snapshot. Now, even after I tell it to refresh the repository list, intellij (14.1.5) clearly indicates 1.7 not 1.8.  Then you look in the description and it clearly has some of the features from 1.8. So, it is totally borked up.

Any suggestions about how to get the repository to properly identify the version number?

Thanks!
Terence



Attachment(s):
Screen Shot 2015-11-08 at 1.49.54 PM.png
Screen Shot 2015-11-08 at 1.50.31 PM.png
5 comments
Comment actions Permalink

I try the same thing with intellij 15 (which I have really just downloaded and played around with a little bit but I'm not actually using) and it correctly identifies that there is a new version 1.7 -> 1.8 it says from the dialog box warning me there is an update.

I uninstall and then tell it to browse across stories and it properly sees 1.8. strange.

Terence

0
Comment actions Permalink

Hello Terence,

Has ANTLR plugin version 1.7 been installed in IDEA 14.1.5?

0
Comment actions Permalink

Yes, previously.

0
Comment actions Permalink

It seems that you checked for a plugin update in IDEA before new version was approved, but because of a bug in plugin repository description was updated when new version was uploaded. This bug would fixed in the next week.

0

Please sign in to leave a comment.